%global stackname ros
%global gitrev a9ccfa8

Name:           ros-%{rosrelease}-%{stackname}
Version:        1.9.39
Release:        1
Summary:        Core ROS libraries and utilities

License:        BSD
URL:            http://www.ros.org/wiki/ros
# svn export http://code.ros.org/svn/ros/stacks/ros/tags/1.9.39 ros-1.9.39
# tar cjf ros-1.9.39.tar.bz2 ros-1.9.39/
Source0:        %{stackname}-%{version}.tar.bz2
Provides:       ros-%{stackname} = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  gtest
BuildRequires:  boost-devel
BuildRequires:  python-catkin
BuildRequires:  ros-release
BuildRequires:  ros-%{rosrelease}-message-generation
BuildRequires:  ros-%{rosrelease}-std-msgs
BuildRequires:  ros-%{rosrelease}-rospack-devel

%description
ROS communications-related packages, including core client libraries
(roscpp, rospy, roslisp) and graph introspection tools (rostopic, rosnode,
rosservice, rosparam).

%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: ros-ros-comm-devel = %{version}-%{release}
Provides: ros-%{stackname}-devel = %{version}-%{release}
Summary:  Development files for %{name}

%description devel
Development files for %{name}

%prep
%setup -q -n %{stackname}-%{version}

%build
source /usr/share/catkin/setup.sh
export CMAKE_PREFIX_PATH=/usr:$CMAKE_PREFIX_PATH
catkin_init_workspace 
mkdir build
cd build
%cmake ../  \
  -DCATKIN_GLOBAL_LIB_DESTINATION="%{_lib}" \
  -DCATKIN_GLOBAL_LIBEXEC_DESTINATION=libexec 

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{stackname}

mv $RPM_BUILD_ROOT%{_usr}/.catkin $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/.rosinstall $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/_setup_util.py $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/env.sh $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/setup.* $RPM_BUILD_ROOT%{_datadir}/%{stackname}/

mv $RPM_BUILD_ROOT%{_usr}/etc $RPM_BUILD_ROOT%{_sysconfdir}
#mv $RPM_BUILD_ROOT%{_datadir}/ros{unit,lib}/bin/* $RPM_BUILD_ROOT%{_bindir}
#rmdir $RPM_BUILD_ROOT%{_datadir}/ros{unit,lib}/bin/

%files
%config(noreplace) %{_sysconfdir}/catkin/profile.d/*
%{_bindir}/*
%{_libdir}/*.so
%{_datadir}/ros
%{_datadir}/mk
%{_datadir}/rosbash
%{_datadir}/rosboost_cfg
%{_datadir}/rosbuild
%{_datadir}/rosclean
%{_datadir}/roscreate
%{_datadir}/roslang
%{_datadir}/roslib
%{_datadir}/rosmake
%{_datadir}/rosunit
%{_libexecdir}/roslib
%{python_sitelib}/ros
%{python_sitelib}/rosboost_cfg-%{version}-py?.?.egg-info
%{python_sitelib}/rosboost_cfg
%{python_sitelib}/rosclean-%{version}-py?.?.egg-info
%{python_sitelib}/rosclean
%{python_sitelib}/roscreate-%{version}-py?.?.egg-info
%{python_sitelib}/roscreate
%{python_sitelib}/roslib-%{version}-py?.?.egg-info
%{python_sitelib}/roslib
%{python_sitelib}/rosmake-%{version}-py?.?.egg-info
%{python_sitelib}/rosmake
%{python_sitelib}/rosunit-%{version}-py?.?.egg-info
%{python_sitelib}/rosunit








%files devel
%{_includedir}/ros
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Jan 02 2013 Rich Mattes <richmattes@gmail.com> - 1.9.39-1
- Update to release 1.9.39 for groovy
